DI-604/704P/707P Firmware Release Note

Firmware: V3.21b02(Eng,TW,ST)
Hardware: Dx and Fx for DI-604
  Dx for DI-704P/707P
Date: February 4, 2008

Problems Resolved: 

1.	On page Tools->Time, device is only allowed to choose year 2007(add to 2020).
2.	Fix the issue: System time is not accurately.



****** V3.20TW(March 23) TO V3.21TWb01(January 11)**********

1. On page Tools->Time, device is only allowed to choose year 2007(add to 2010)

****** V3.20(December 01) TO V3.21TW(March 23)**********

1. Renamed from V3.20
2. DI-707P New H/W version can’t downgrade old firmware version.

****** V3.15b07(November 14) TO V3.20(December 01)**********

1.	Renamed from V3.15b01.
2.	Fix the issue: Static PPTP/L2TP WAN type failed.

****** V3.15b06(October 17) TO V3.15b07(November 14)**********

Fix the issues:
1. URL-Filter entered wwwheise.de, After configuring this URL-Filter surf to website www.heise.de, the DI-604 crashes after some seconds. The configuration is not reachable and no access to the internet over DI-604 is not possible anymore.
2. When DI-604 gets RENEW packets, all TCP connections broke.

****** V3.15b05(August 24) TO V3.15b06(October 17)**********

Only for Russia: 
1.	 Several IP address on WAN interface new feature request.
2.   DI-604 TCP Sequence issue

****** V3.15b03(June 27) TO V3.15b05(August 24)**********

1.	L2TP with smartcard auth.

****** V3.15b02(June 27) TO V3.15b03(June 29)**********

1. Device won't reconnect to PPTP server after connection fails once_Russia

****** V3.15b02(May 24) TO V3.15b03(June 27)**********

1.  Fix the issue: Changing the MTU value different from default (for example 1000), then the router will hang

****** V3.15(May 11) TO V3.15b02(May 24)**********

1. Adding DI-604 WAN Selectable speed transmission :10Mbps?100Mbps(full) and Auto

****** V3.15(April 21) TO V3.15b01(May 11)**********

1. Use “ntp1.dlink.com” to be default NTP server.

****** V3.14b07(April 19) TO V3.15(April 21)**********

1. Rename from V3.14b06.

****** V3.14b06(April 15) TO V3.14b07(April 19)**********

1. Only DHCP User can be allowed.(Not allowed the static IP addresses at all)
2. Max User is limited to 2.
3. Only DHCP and Max User 2 should be factory default value.
4. With Max User option Enabled, the max user can be added by the ISP for future  service.(For example, when the button enabled, the administrator can change the user limit.)
5. Default network should be 192.168.10.0 not 192.168.0.01. Other PC receive internet requests_Central Europe

****** V3.14b06(March 22) TO V3.14b07(April 15)**********

1.  Other PC receive internet requests_Central Europe.

****** V3.14b05(March 17) TO V3.14b06(March 22)**********

1.  PPPoE’s problem for remote manager for DI-707P_tw.

****** V3.14b04(March 10) TO V3.14b05(March 17)**********

1.  Setting the MAC address with four zero value. After apply and restart, it will not do the charge.

****** V3.14b03(February 23) TO V3.14b04(March 10)**********

1.  Fixed the issue which user's device will hang after Multicast stream is going to its WAN--Only for Russia

****** V3.14b02(February 22) TO V3.14b03(February 23)**********

1.  Fixed the issue which user's device will hang after Multicast stream is going to its WAN--Only for Russia.

****** V3.14(February 20) TO V3.14b01(February 22)**********

1.  DI-604 PPPoE Dial Up probelm._Singapore: The ISP server will not send the IPCP packets before DI-604 send it. Then, DI-604 wait it until disconnection. 
2.  In the MAC Filters, regardless of Allow or Deny, I let it loose and become the empty on field, this function can still be applied.
3.  In the Domain Blocking, regardless of Allow or Deny, I let it loose and become the empty on field, this function can still be applied.
4.  Enabled URL blocking, appeared administrator interface of user when I entered URL which contain blacking list.

****** V3.13b07(November 25) TO V3.14(December 15)**********

1.	Adjust driving current for EMI.
2.	When setting the same IP Range and Port Range, the UI will block this settings.

****** V3.13b06(November 21) TO V3.13 b07(November 25)**********

1.	DI-707P with AOL PPPoE connection_Central Europe.
2.  When IP address is "X.X.X.255" or "X.X.X.0, the UI will block it

****** V3.13b05(October 21) TO V3.13 b06(November 21)**********

1.  Add Peanut-Shell in DDNS setting.

****** V3.13b04(October 18) TO V3.13 b05 (October 21)**********

1.  Add the firewall list numbers is "28"

****** V3.13b03(September 30) TO V3.13 b04 (October 18)**********

1.  DI-604 pppoe dialup unsuccessful in CRCNet circuit_CN

****** V3.13b02(September 29) TO V3.13 b03 (September 30)**********

1.  Router can’t recognize fragment packets that are fragmented by PPTP server

****** V3.13b01(September 21) TO V3.13 b02 (September 29)**********

1.   Voice communication problem using MSN with DI-604

****** V3.13(September 9) TO V3.13 b01(September 21)**********

1.   DI-604 pppoe dialup unsuccessful in CRCNet circuit_CN.

****** V3.12b01(August 30) TO V3.13 (September 9) **********

1.	 Change the Remote Management port field to let user enter. 
2.	 Modify log page.
3.   Throughput enhancement

****** V3.12(August 29) TO V3.12b01 **********

1.	Fix bug of UPnP for Imerge IP Phone.

****** V3.11b01(August 8) TO V3.12 **********

1.	Rename from b3.11b01

****** V3.11 (August 8) TO V3.11b01 **********

1.	Add a error message when WAN IP address and ISP Gateway address entered value is 0.0.0.0 or 255.255.255.255.
2.	Throughput enhancement.
3.	Fix the following problems:
(1)	Users can’t enable/disable URL blocking if there are 10 rules in the list.
(2)	Router will clear the client list table after router software reboot.  
(3)	IPSec pass-through option doesn't work.
(4)	Enable router to ping its wan ip address.

****** V3.11 (May 3) TO V3.11 (August 8) **********

1. Throughput enhancement.
2. Support RTP traffic pass-through.
3. Add “Active Sessions” page.

****** V3.10 TO V3.11 (May 3) **********

1. Fix the following problems:
(1) UI displays an incorrect page if users input same password into fields of “Old Password” and “New Password” in the Setup Wizard.
(2) Incorrect date format of log page. (Only occurred at v3.10(S))

****** V3.09b02 TO V3.10 **********

1. Support DL7300 CPU.
2. Router will display a confirmation page after administrator changes password in the Wizard.
3. Fix the following problems:
(1) With remote management feature, the administrator can’t go back to original setting page when he presses continue button after changing configuration.

****** V3.09b01 TO V3.09b02 **********

1.Fix the following problems:
   (1) PPTP connection is not properly closed. There is no reply to the Stop-Control-Connection-Request. TCP connection is immediately tried to be close after the Call-Disconnect-Notify.

****** V3.09 TO V3.09b01 **********

1.Remove default value of old password in the Setup Wizard.
2.Add old password field in Tools->Admin page (Only for Administrator).
3.Fix the following problems:
   (1) Dynamic PPTP/L2TP connection drops every 1~2 minute.
   (2) UPnP can't work on PC which is with Microsoft Windows XP Service Pack 2.
 
****** V3.08 TO V3.09 **********

1.Enhance the stability of router.
2.Add PeanutHull update messages in log page.
3.Fix the following problems on firmware v3.08:
   (1) The router will stop working if users access a FTP server, which is on LAN and has been a virtual server, by using WAN IP of router.  
   
****** V3.07(Nov 12) TO V3.08 **********

1.Fix the following problems:
   (1) The router may stop working if users download files from remote FTP server via web browser.
   (2) The router throuthput will be very slow if WAN port connects to a 10MB device.

****** V3.07(Oct 11) TO V3.07(Nov 12) **********

1.Support Switch chip IP175C, and prevent router with IP175C from downgrading to previous firmware version.
2.Auto-detect i2eye device, and open/close port 1720 automatically.
3.Router will jump a window to remind users if they don't finish configurations of DDNS.
4.Remove Multi Global IP feature.
5.Change Peanut-Hull server to HPH002.oray.net.
6.Disable UPnP function by default. (???)
   (It will take effect after resetting router setting to factory default.)
7.Fix the following problems:
  (1) UPnP mechanism may cause router to stop working.
  (2) The router may crashed if there are a lot of Class B and Class C broadcast packets in LAN.
  (3) The router updates to Peanut-Hull too frequently if users set wrong user name or password.

****** V3.07(Sep 22) TO V3.07(Oct 11) **********

1.Fix the following problem:
  (1) Remote management doesn't work if using PPPoE WAN type.

****** V3.06b02 TO V3.07 **********

1.Fix the following problems of v3.06b02:
  (1) The router may crash sometimes when users restore backup configuration file.
  (2) Fix the CheckSum error of v3.06b02.

****** V3.06b01 TO V3.06b02 **********

1.Fix failed items of CDRouter test.
2.Change firewall destination IP from * to real destination IP if the rule is derived from Virtual Server.
3.Support Multi Global IP for DHCP and Static WAN type.
4.Add Checksum information on Sysinfo page.

****** V3.06(Aug 4) TO V3.06b01 **********

1.Change firewall mechanisms.
  (The change will take effect after resetting router setting to factory default.)  
2.Add D-Link web cameras(DCS-900, 1000, 2000, 3120, 5300) into default lists of Virtual Server.
3.Fix the following problem:
  (1) Virtual Server doesn't work if public port and private port are not the same.

****** V3.06(Jul 30) TO V3.06(Aug 4) **********

1.Change the source interface of firewall rule "Allow to Ping WAN port" from LAN to WAN.
  (The change will take effect after resetting router setting to factory default.)
2.Adds descriptions of XBOX and DOS into help field.

****** V3.05b09 TO V3.06(Jul 30) **********

1. Rename from v3.05b09.
2. Fix the following problem:
(A) PPPoE with Manual or connect-on-demand mode can not be cut off after idle time come to the setting time.

****** V3.05b08 TO V3.05b09 **********

1.Fix i2Eye calling problem.
2.Fix the problem of IP filter if users input a IP group 192.168.0.90-192.168.0.100.
3.Fix the problem of firewall if users input a IP group 192.168.0.90-192.168.0.100.

****** V3.05b07 TO V3.05b08 **********

1.Prevent different devices from using the same XID to send DHCP request.
2.Mail alert feature can support Lotus Notes server.

****** V3.05b06 TO V3.05b07 **********

1.Fix the PPPoE problem of DI-707P with firmware v3.05b06.
2.Fix the problem of MAC filter if user setup more than 16 rules.
3.Support two i2eye devices can communicate to each other within the same
  LAN side of NAT router.  

****** V3.05b05 TO V3.05b06 **********

1.Support i2eye ALG.
2.Protect router from DOS attack.
3.Change the default connect mode to Connect-on-demand, and set the idle time to 5 minutes.
  (Users need to reset router setting to factory default first.)

****** V3.05b04 TO V3.05b05 **********

1.Test firmware for i2eye. (only for DI-604/704P)

****** V3.05b03 TO V3.05b04 **********

1.Fix the problem about router using the same XID when sending DHCP Discover. 

****** V3.05(6/1/2004) TO V3.05b03 **********

1.Fix the UI hanging problem when users setting static route.
2.Add a "XBOX Support" option in Tools->Misc page. It's better to disable "XBOX Support"
  when useres are using file sharing utility, such as eMule or eDonkey. This option is
  disable by default.

****** V3.05b02 TO V3.05(6/1/2004) **********

1.Rename from v3.05b02

****** V3.05b01 TO V3.05b02 **********

1.Fix the problem about mail alert function can't transfer mail with some SMTP servers.
2.Support L2tp disconnection from LNS.
 
****** V3.05 TO V3.05b01 **********

1.Change the IP pool of firewall rule to support more than one class C.

****** V3.04b6 TO V3.05 **********

(This version doesn't release to MP)

1.Rename from v3.04b6.

****** V3.04b5 TO V3.04b6 **********

1.Change the status to "L2TP Connecting..." when router gets the IP from CMTS,
  and shows "L2TP Connected" after router gets the IP address from LNS.
2.Add a mechanism to prevent local PCs from using the DNS server of CMTS. 

****** V3.04b4 TO V3.04b5 **********

1.Fix L2TP connection problem if triggered by Ping command.
2.Fix the problem when users delete rules in MAC filter.
3.Set keep-alive(Re-Authentication) period of Telia to 10 minutes.

****** V3.04b3 TO V3.04b4 **********

1.Fix IP filter can't be added to 10 rules.
2.Fix L2TP disconnect problem.
3.Support domain name resolving with LNS/PNS when dynamic L2TP/PPTP is chose.

****** V3.04b2 TO V3.04b3 **********

1.This is a special version which supports NAT disable and not for shipment.

****** V3.04b1 TO V3.04b2 **********

1.Fix the hanging problem when users setting static route.
2.Change Auto reconnect and Dial on demand functions.

****** V3.04 TO V3.04b1 **********

1.Fix the problem about Web login without user name and password.
2.Fix the problem about using static DHCP together with MAC filter.  
3.Add Dial-on-Demand option.
4.Add Syslog function on DI-604.
5.Add WAN IP into intrusion log message.
  (EX. Unrecognized attempt blocked from 192.168.122.1:1529 to 192.168.122.98 TCP:21)
  
****** V3.01b6(2004.01.14) TO V3.04 **********

1.Rename from V3.01b6(2004.01.14).

****** V3.01b6(2003.12.05) TO V3.01b6(2004.01.14) **********

1.Change Domail filter seat.

****** V3.01b6 TO V3.01b7(Test Version) **********

1.Add default gateway with PPTP WAN type.

****** V3.01b6 TO V3.03 **********

1.Rename from V3.01b6(2003.12.05).

****** V3.01b5 TO V3.01b6(2003.12.05) **********

1.Fix DynDNS update problem.
  A. Stop continuing to update if authentication failed.
  B. Add model name and firmware version into agent information.  
2.Fix SNMP counter bug (can't over 2^31)
3.Fix WEB Configuration can't be connect after remote administrator
  saved settings.

****** V3.01b4 TO V3.01b5(Test Version) **********

1.Add PPTP gateway support.

****** V3.01b3 TO V3.01b4(Test Version) **********

1.Support Telia WAN Type.
2.Add Daylight Saving function.

****** V3.02 (for DI-604 only)**********

1.Support L2TP WAN type.

****** V3.01b2 TO V3.01b3(Test Version) **********

1.Fix L2TP WAN Type bug.

****** V3.01b1 TO V3.01b2(Test Version) **********

1.Support L2TP WAN Type.

****** V3.01b1 TO V3.01 ********

1.Rename from V3.01b1.

****** V3.00 TO V3.01b1 ********

1.Fix Visual Server bug.
2.Fix FW to prevent DOS attack as listed below
a.http://RouterWANIP:8080/AA..~A from WAN when enable remote administration.
b.http://RouterWANIP/AA..~A from LAN.
c.http://RouterWANIP/syslog.htm?D=AA..~A from LAN.
3.Fix PPPoE can't connect.

****** V1.81 TO V3.00 **********

1. Only accept 255.255.255.x (Subnet mask) in LAN setting.
2. Set VPN Pass-Through default to enable.
3. Domain filter can’t add more filter lists.

******  V1.80 TO V1.81 **********

1. Fix Upnp bug.

****** V1.70 build 7 TO V1.80 **********

1. Update scheduling, the default setting is Always. 
2. Discard firmware upgrade link.
3. Add TZO.com option into DDNS function.
4. Add MAC-IP mapping function in MAC filter.
5. Fix : If we enable syslog function when SPI is enable, it will cause SPI disabled.

****** V1.70 build 6 TO V1.70 build 7 **********

1. Add SPI Mode .

*** V 1.70 build 6 **********

First release for new style web user interface.
